org.eclipse.graphiti.internal.features.context.impl.base

## Class DetailedPictogramElementContext

- java.lang.Object
- - org.eclipse.graphiti.PropertyBag
  - - org.eclipse.graphiti.internal.features.context.impl.base.DefaultContext
    - - org.eclipse.graphiti.internal.features.context.impl.base.PictogramElementContext
      - - org.eclipse.graphiti.internal.features.context.impl.base.DetailedPictogramElementContext

All Implemented Interfaces:
  IContext, IPictogramElementContext, IPropertyBag

Direct Known Subclasses:
  DirectEditingContext

    public abstract class DetailedPictogramElementContext
    extends PictogramElementContext

The Class DetailedPictogramElementContext.

### Constructor Summary

Constructors
Constructor and Description
`DetailedPictogramElementContext(PictogramElement pictogramElement, GraphicsAlgorithm graphicsAlgorithm)` The Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`GraphicsAlgorithm` `getGraphicsAlgorithm()` Gets the graphics algorithm.
`java.lang.String` `toString()`

### Methods inherited from class org.eclipse.graphiti.internal.features.context.impl.base.PictogramElementContext

`getPictogramElement`

### Methods inherited from class org.eclipse.graphiti.PropertyBag

`getProperty, getPropertyKeys, putProperty`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.IPropertyBag

`getProperty, getPropertyKeys, putProperty`

### Constructor Detail

#### DetailedPictogramElementContext

    public DetailedPictogramElementContext(PictogramElement pictogramElement,
                                           GraphicsAlgorithm graphicsAlgorithm)

The Constructor.

Parameters:
  `pictogramElement` - the pictogram element
  `graphicsAlgorithm` - the graphics algorithm

### Method Detail

#### getGraphicsAlgorithm

    public GraphicsAlgorithm getGraphicsAlgorithm()

Gets the graphics algorithm.

Returns:
  the graphics algorithm

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `PictogramElementContext`